Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWin32VideoSource Class Reference

`#include <vtkWin32VideoSource.h>`

Inheritance diagram for vtkWin32VideoSource:

[legend]
Collaboration diagram for vtkWin32VideoSource:

[legend]
List of all members.

## Detailed Description

Video-for-Windows video digitizer.

Date:
  2002/08/08 15:13:24

Revision:
  1.17

vtkWin32VideoSource grabs frames or streaming video from a Video for Windows compatible device on the Win32 platform.

Warning:
  With some capture cards, if this class is leaked and ReleaseSystemResources is not called, you may have to reboot before you can capture again. vtkVideoSource used to keep a global list and delete the video sources if your program leaked, due to exit crashes that was removed.

See also:
  vtkVideoSource vtkMILVideoSource

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (87%)
  - Cedilnik, Andy (10%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkWin32VideoSource.cxx)`
  - .`h` (`/Hybrid/vtkWin32VideoSource.h)`

Tests:
  vtkWin32VideoSource (Tests)

Definition at line 55 of file vtkWin32VideoSource.h.

## Public Types
typedef vtkVideoSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Record ()
void | Play ()
void | Stop ()
void | Grab ()
void | SetFrameSize (int x, int y, int z)
void | SetFrameRate (float rate)
void | SetOutputFormat (int format)
void | VideoFormatDialog ()
void | VideoSourceDialog ()
void | Initialize ()
void | ReleaseSystemResources ()
void | SetPreview (int p)
virtual void | PreviewOn ()
virtual void | PreviewOff ()
virtual int | GetPreview ()
void | InternalGrab (void *)
void | OnParentWndDestroy ()
## Static Public Methods
vtkWin32VideoSource * | New ()
int | IsTypeOf (const char *type)
vtkWin32VideoSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkWin32VideoSource ()
| ~vtkWin32VideoSource ()
void | CheckBuffer ()
void | UnpackRasterLine (char *outptr, char *inptr, int start, int count)
void | DoVFWFormatSetup ()
void | DoVFWFormatCheck ()
## Protected Attributes
char | WndClassName [16]
int | BitMapSize
int | Preview
vtkWin32VideoSourceInternal * | Internal

## Member Typedef Documentation

typedef vtkVideoSource vtkWin32VideoSource::Superclass

| Reimplemented from vtkVideoSource. Definition at line 59 of file vtkWin32VideoSource.h.

## Constructor & Destructor Documentation

vtkWin32VideoSource::vtkWin32VideoSource | ( |  | ) | `[protected]`

vtkWin32VideoSource::~vtkWin32VideoSource | ( |  | ) | `[protected]`

## Member Function Documentation

vtkWin32VideoSource* vtkWin32VideoSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkVideoSource.

virtual const char* vtkWin32VideoSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVideoSource.

int vtkWin32VideoSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVideoSource.

virtual int vtkWin32VideoSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVideoSource.

vtkWin32VideoSource* vtkWin32VideoSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVideoSource.

void vtkWin32VideoSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVideoSource.

void vtkWin32VideoSource::Record | ( |  | ) | `[virtual]`

| Standard VCR functionality: Record incoming video. Reimplemented from vtkVideoSource.

void vtkWin32VideoSource::Play | ( |  | ) | `[virtual]`

| Standard VCR functionality: Play recorded video. Reimplemented from vtkVideoSource.

void vtkWin32VideoSource::Stop | ( |  | ) | `[virtual]`

| Standard VCR functionality: Stop recording or playing. Reimplemented from vtkVideoSource.

void vtkWin32VideoSource::Grab | ( |  | ) | `[virtual]`

| Grab a single video frame. Reimplemented from vtkVideoSource.

void vtkWin32VideoSource::SetFrameSize | ( | int | x,
|  | int | y,
|  | int | z
| ) | `[virtual]`

| Request a particular frame size (set the third value to 1). Reimplemented from vtkVideoSource.

void vtkWin32VideoSource::SetFrameRate | ( | float | rate | ) | `[virtual]`

| Request a particular frame rate (default 30 frames per second). Reimplemented from vtkVideoSource.

void vtkWin32VideoSource::SetOutputFormat | ( | int | format | ) | `[virtual]`

| Request a particular output format (default: VTK_RGB). Reimplemented from vtkVideoSource.

void vtkWin32VideoSource::SetPreview | ( | int | p | ) |

| Turn on/off the preview (overlay) window.

virtual void vtkWin32VideoSource::PreviewOn | ( |  | ) | `[virtual]`

| Turn on/off the preview (overlay) window.

virtual void vtkWin32VideoSource::PreviewOff | ( |  | ) | `[virtual]`

| Turn on/off the preview (overlay) window.

virtual int vtkWin32VideoSource::GetPreview | ( |  | ) | `[virtual]`

| Turn on/off the preview (overlay) window.

void vtkWin32VideoSource::VideoFormatDialog | ( |  | ) |

| Bring up a modal dialog box for video format selection.

void vtkWin32VideoSource::VideoSourceDialog | ( |  | ) |

| Bring up a modal dialog box for video input selection.

void vtkWin32VideoSource::Initialize | ( |  | ) | `[virtual]`

| Initialize the driver (this is called automatically when the first grab is done). Reimplemented from vtkVideoSource.

void vtkWin32VideoSource::ReleaseSystemResources | ( |  | ) | `[virtual]`

| Free the driver (this is called automatically inside the destructor). Reimplemented from vtkVideoSource.

void vtkWin32VideoSource::InternalGrab | ( | void * |  | ) |

| For internal use only

void vtkWin32VideoSource::OnParentWndDestroy | ( |  | ) |

| For internal use only

void vtkWin32VideoSource::CheckBuffer | ( |  | ) | `[protected]`

void vtkWin32VideoSource::UnpackRasterLine | ( | char * | outptr,
|  | char * | inptr,
|  | int | start,
|  | int | count
| ) | `[protected, virtual]`

| These methods can be overridden in subclasses Reimplemented from vtkVideoSource.

void vtkWin32VideoSource::DoVFWFormatSetup | ( |  | ) | `[protected]`

void vtkWin32VideoSource::DoVFWFormatCheck | ( |  | ) | `[protected]`

## Member Data Documentation

char vtkWin32VideoSource::WndClassName[16]`[protected]`

| Definition at line 113 of file vtkWin32VideoSource.h.

int vtkWin32VideoSource::BitMapSize`[protected]`

| Definition at line 114 of file vtkWin32VideoSource.h.

int vtkWin32VideoSource::Preview`[protected]`

| Definition at line 115 of file vtkWin32VideoSource.h.

vtkWin32VideoSourceInternal* vtkWin32VideoSource::Internal`[protected]`

| Definition at line 117 of file vtkWin32VideoSource.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkWin32VideoSource.h